Skip to main content
POST
/
v2
/
commands
/
async
/
submit-reassignment
/v2/commands/async/submit-reassignment
curl --request POST \
  --url https://api.example.com/v2/commands/async/submit-reassignment \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "reassignmentCommands": {
    "commandId": "<string>",
    "submitter": "<string>",
    "commands": [
      {
        "command": {
          "AssignCommand": {
            "value": {
              "reassignmentId": "<string>",
              "source": "<string>",
              "target": "<string>"
            }
          }
        }
      }
    ],
    "workflowId": "<string>",
    "userId": "<string>",
    "submissionId": "<string>"
  }
}
'
{}

Documentation Index

Fetch the complete documentation index at: https://docs.canton.network/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Ledger API standard JWT token

Body

application/json
reassignmentCommands
ReassignmentCommands · object
required

The reassignment command to be submitted.

Required

Response

The response is of type SubmitReassignmentResponse · object.